Vsan Resource Check System Vsan Host Perform Resource Check
Required privileges: System.Read
Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanResourceCheckSystem/{moId}/VsanHostPerformResourceCheck
COPY
Path Parameters
string
moId
Required
The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanResourceCheckSystem/{moId}.
string
release
Required
The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.
Request Body
VsanHostPerformResourceCheckRequestType
of type(s)
application/json
Required
Show optional properties
{
"resourceCheckSpec": {
"operation": "string"
}
}
{
"resourceCheckSpec": {
"_typeName": "string",
"operation": "string",
"entities": [
"string"
],
"maintenanceSpec": {
"_typeName": "string",
"vsanMode": {
"_typeName": "string",
"objectAction": "string"
},
"purpose": "string",
"evacMode": {
"_typeName": "string",
"workloadNonDisruptive": false
}
},
"parent": {
"_typeName": "string",
"type": "string",
"value": "string"
}
}
}
object
resourceCheckSpec
Required
Specification for performing a resource check or retrieving the status of a resource check.
This structure may be used only with operations rendered under /vsan.
Responses
200
OK
Returns
MoRefTask
of type(s)
application/json
This response body class contains all of the following:
MoRefExtensibleManagedObject
{
"_typeName": "string",
"type": "string",
"value": "string"
}
500
Failure
Returns
VsanFault
of type(s)
application/json
This response body class contains all of the following:
VimFault
{
"_typeName": "string",
"faultCause": {
"_typeName": "string",
"faultCause": "MethodFault Object",
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
},
"faultMessage": [
{
"_typeName": "string",
"key": "string",
"arg": [
{
"_typeName": "string",
"key": "string",
"value": {
"_typeName": "string"
}
}
],
"message": "string"
}
]
}
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"resourceCheckSpec":"object"}' https://{api_host}/sdk/vim25/{release}/vsan/VsanResourceCheckSystem/{moId}/VsanHostPerformResourceCheck